| The Gaudi Framework v29r1 (5cd95fa2)

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Static Public Attributes | List of all members
GaudiKernel.GaudiHandles.GaudiHandle Class Reference
Inheritance diagram for GaudiKernel.GaudiHandles.GaudiHandle:
[legend]
Collaboration diagram for GaudiKernel.GaudiHandles.GaudiHandle:
[legend]

## Public Member Functions
def | __init__ (self, typeAndName)
def | __repr__ (self)
def | __str__ (self)
def | toStringProperty (self)
def | getType (self)
def | getName (self)
def | getGaudiHandle (self)
def | getFullName (self)

## Public Attributes
| typeAndName

## Static Public Attributes
string | componentType = "Unspecified"
bool | isPublic = True

## Detailed Description

Definition at line 16 of file GaudiHandles.py.

## Constructor & Destructor Documentation

def GaudiKernel.GaudiHandles.GaudiHandle.__init__ | ( |  | self,
|  |  | typeAndName
| ) |  |

Definition at line 20 of file GaudiHandles.py.

20 def __init__(self, typeAndName):
21 object.__init__(self)
22 if hasattr(typeAndName, "toStringProperty"):
23 # this is a GaudiHandle or equivalent
24 typeAndName = typeAndName.toStringProperty()
25 if type(typeAndName) != str:
26 raise TypeError("Argument to %s must be a string. Got a %s instead" %
27 (self.__class__.__name__, type(typeAndName).__name__))
28 self.typeAndName = typeAndName
29
gaudirun.type
type
Definition: gaudirun.py:133
GaudiKernel.GaudiHandles.GaudiHandle.typeAndName
typeAndName
Definition: GaudiHandles.py:28
GaudiKernel.GaudiHandles.GaudiHandle.__init__
def __init__(self, typeAndName)
Definition: GaudiHandles.py:20

## Member Function Documentation

def GaudiKernel.GaudiHandles.GaudiHandle.__repr__ | ( |  | self | ) |

Definition at line 30 of file GaudiHandles.py.

30 def __repr__(self):
31 return "%s(%r)" % (self.__class__.__name__, self.toStringProperty())
32
GaudiKernel.GaudiHandles.GaudiHandle.__repr__
def __repr__(self)
Definition: GaudiHandles.py:30
GaudiKernel.GaudiHandles.GaudiHandle.toStringProperty
def toStringProperty(self)
Definition: GaudiHandles.py:41

def GaudiKernel.GaudiHandles.GaudiHandle.__str__ | ( |  | self | ) |

Definition at line 33 of file GaudiHandles.py.

33 def __str__(self):
34 # FIXME: (Patch #1668) this creates problem with 2.5
35 # return "%s:%s" % (self.__class__.__name__, self.toStringProperty())
36 return self.toStringProperty()
37
GaudiKernel.GaudiHandles.GaudiHandle.toStringProperty
def toStringProperty(self)
Definition: GaudiHandles.py:41
GaudiKernel.GaudiHandles.GaudiHandle.__str__
def __str__(self)
Definition: GaudiHandles.py:33

def GaudiKernel.GaudiHandles.GaudiHandle.getFullName | ( |  | self | ) |

Definition at line 69 of file GaudiHandles.py.

69 def getFullName(self):
70 return self.toStringProperty()
71
72
GaudiKernel.GaudiHandles.GaudiHandle.toStringProperty
def toStringProperty(self)
Definition: GaudiHandles.py:41
GaudiKernel.GaudiHandles.GaudiHandle.getFullName
def getFullName(self)
Definition: GaudiHandles.py:69

def GaudiKernel.GaudiHandles.GaudiHandle.getGaudiHandle | ( |  | self | ) |

Definition at line 66 of file GaudiHandles.py.

66 def getGaudiHandle(self):
67 return self
68
GaudiKernel.GaudiHandles.GaudiHandle.getGaudiHandle
def getGaudiHandle(self)
Definition: GaudiHandles.py:66

def GaudiKernel.GaudiHandles.GaudiHandle.getName | ( |  | self | ) |

    Get the 'name' part of the \"type/name\" string.
    If only a type is given, this will be returned as the name.
    If the \"type/name\" string is empty, it will return an emtpy string.

Definition at line 54 of file GaudiHandles.py.

54 def getName(self):
55 """Get the 'name' part of the \"type/name\" string.
56 If only a type is given, this will be returned as the name.
57 If the \"type/name\" string is empty, it will return an emtpy string."""
58 slash = self.typeAndName.find('/')
59 if slash != -1:
60 # explicit name. Return part after the /
61 return self.typeAndName[slash + 1:]
62 else:
63 # only type is given. return type as default name
64 return self.typeAndName
65
GaudiKernel.GaudiHandles.GaudiHandle.typeAndName
typeAndName
Definition: GaudiHandles.py:28
GaudiKernel.GaudiHandles.GaudiHandle.getName
def getName(self)
Definition: GaudiHandles.py:54

def GaudiKernel.GaudiHandles.GaudiHandle.getType | ( |  | self | ) |

    Get the 'type' part of the \"type/name\" string.

Definition at line 44 of file GaudiHandles.py.

44 def getType(self):
45 """Get the 'type' part of the \"type/name\" string."""
46 slash = self.typeAndName.find('/')
47 if slash != -1:
48 # includes name. Return part before /
49 return self.typeAndName[0:slash]
50 else:
51 # only type is given, return full string
52 return self.typeAndName
53
GaudiKernel.GaudiHandles.GaudiHandle.getType
def getType(self)
Definition: GaudiHandles.py:44
GaudiKernel.GaudiHandles.GaudiHandle.typeAndName
typeAndName
Definition: GaudiHandles.py:28

def GaudiKernel.GaudiHandles.GaudiHandle.toStringProperty | ( |  | self | ) |

Definition at line 41 of file GaudiHandles.py.

41 def toStringProperty(self):
42 return self.typeAndName
43
GaudiKernel.GaudiHandles.GaudiHandle.toStringProperty
def toStringProperty(self)
Definition: GaudiHandles.py:41
GaudiKernel.GaudiHandles.GaudiHandle.typeAndName
typeAndName
Definition: GaudiHandles.py:28

## Member Data Documentation

string GaudiKernel.GaudiHandles.GaudiHandle.componentType = "Unspecified"
| static

Definition at line 17 of file GaudiHandles.py.

bool GaudiKernel.GaudiHandles.GaudiHandle.isPublic = True
| static

Definition at line 18 of file GaudiHandles.py.

GaudiKernel.GaudiHandles.GaudiHandle.typeAndName

Definition at line 28 of file GaudiHandles.py.

The documentation for this class was generated from the following file:

- GaudiKernel/python/GaudiKernel/GaudiHandles.py